<%= render 'layouts/header' %>

<div class="ui container segment">
  <%= image_tag @user.image, class: "ui centered circular small image" %>
  <h1 class="ui center aligned header"><%= @user.full_name %></h1>
  <div class="ui internally celled grid">
    <div class="row">
      <div class="eight wide column">
        <strong>Name:</strong> <%= @user.full_name %>
      </div>
      <div class="eight wide column">
        <strong>Phone Number:</strong> <%= @user.phone_number || "Not Set" %>
      </div>
    </div>
    <div class="row">
      <div class="eight wide column">
        <strong>Email:</strong> <%= @user.email_address || "Not Set" %>
      </div>
      <div class="eight wide column">
        <strong>Organization:</strong> <%= @organization&.chapter_school || "Not Set"%>
      </div>
    </div>
    <div class="row">
      <div class="eight wide column">
        <strong>Big:</strong> <%= @user.big_name || "Not Set" %>
      </div>
      <div class="eight wide column">
        <strong>Number:</strong> <%= @user.number || "Not Set" %>
      </div>
    </div>
    <div class="row">
      <div class="eight wide column">
        <strong>Current Status:</strong> <%= @user.status_label || "Not Set" %>
      </div>
      <div class="eight wide column">
        <strong>Pledge Class:</strong> <%= @user.class_label || "Not Set" %>
      </div>
    </div>
  </div>
  <div class="ui horizontal divider"></div>
  <div class="ui equal width grid">
    <% if policy(@user).update? %>
      <div class="row">
          <div class="column">
            <%= link_to "Edit User Profile", edit_user_path(@user), class: "ui primary fluid button" %>
          </div>
      </div>
    <% end %>
  </div>
</div>

<%= render 'layouts/footer' %>
